/* Header styles */

header {
	grid-area: headergrid;
	margin-bottom: 1rem;
}

.NavBar{
	display: grid;
	grid-template-areas:
	"navlogo"
	"navsubtitle"
	"navlinks";
}

.NavBar a:link{
	color: #999999;
	font-family: effra, sans-serif;
	text-decoration: none;
	text-align: center;
	font-size: 1rem;
	padding-top: .5%;
	padding-left: 1%;
	padding-right: 1%;
}

.NavBar a:hover{
	color: #6a2bc7;
}

.NavBar a:visited{
	color: #999999;
}

.NavBar .Icon {
	display: none;
}

.NavLogo{
	max-height: 7vh;
	max-width: 22%;
	grid-area: navlogo;
}

.NavSubtitle{
	color: #999999;	
	font-family: effra, sans-serif;
	font-size: 1.2rem;
	text-align: center;
	grid-area: navsubtitle;
	margin-block-start: .5%;
	margin-block-end: .5%;
}

.NavLinkDiv{
	grid-area: navlinks;
	text-align: center;
}

/* Footer styles */

footer {
	grid-area: footergrid;
}

.FooterDiv{
    text-align: center;
    font-family: effra, sans-serif;
    font-weight: 400;
    text-decoration: none;
	color: #999999;
	font-size: 1rem;
}

.FooterDiv a{
	color: #6a2bc7
}

/* Body Styles */

body {
	display: grid;
	grid-template-rows: auto;
	grid-template-columns: 100vw;
	grid-template-areas:
	"headergrid"
	"widegrid"
	"twoimggrid"
	"sectiongrid"
	"footergrid";
}

section {
	grid-area: sectiongrid;
}

article p {
    font-family: effra, sans-serif;
	color: #999999;
	padding: 1vw 2vw 1vw 2vw;
}

article h3 {
    font-family: effra, sans-serif;
	color: #999999;
}


article {
	text-align: center;
}

.TwoImgSection {
	display: grid;
	grid-template-columns: 50vw 50vw;
	grid-area: twoimggrid;
	margin-top: 1rem;
	justify-items: center;
	max-height: 20vh;
	overflow: clip;
}

.TwoImgSection img {
	max-width: 720px;
	max-height: 45%;
	object-fit: cover;
	object-position: center center;
}

.TwoImgDiv1 {
	width: 100%;
	display: block;
	text-align: right;
	margin-right: 1vw;
}

.TwoImgDiv2 {
	width: 100%;
	display: block;
	text-align: left;
	margin-left: 1vw;
}

.ThreeArticleSection {
	display: grid;
	grid-template-rows: auto;
	grid-template-areas:
	"one two three";
	gap: 1vw;
	margin-top: 2rem;
}

.ArticleOne p, .ArticleTwo p, .ArticleThree p{
	max-width: 25vw;
}

.ArticleOne {
	grid-area: one;
	margin-left: 15vw;
}


.ArticleTwo {
	grid-area: two;
}

.ArticleThree {
	grid-area: three;
	margin-right: 15vw;
}

.WideSection {
	grid-area: widegrid;
}

.WideImg {
	max-height: 80vh;
	width: 100%;
	object-fit: contain;
	object-position: center center;
}

/* Media queries for mobile */

@media screen and (max-width:600px){
	
	.NavBar a:not(:first-child){
		display: none;}
	.NavBar img.Icon{
		float: right;
		display: block;
		position: absolute;
		right: 0;
		top: 0;
		padding-top: 4%;
		padding-right: 1%;
	}
	
	.NavLinkDiv{
		display: none;}
	
	.NavBar.Repsonsive {
		position: relative;
	}
	
	
	.NavBar.Responsive a{
		float: none;
		display: block;
	}	
	
	.NavBar.Responsive a img{
		text-align: center;
	}
	
	.NavLink{
	/*Keeps navigation links to the right on mobile */
	text-indent: 60%;
	}
	
	.NavBar.Responsive .NavLinkDiv{
		display: grid;
	}
	
	.NavSubtitle{
		font-size: .6rem;
	}
	
	.ThreeArticleSection {
		display: grid;
		grid-template-rows: auto;
		grid-template-areas:
		"one"
		"two"
		"three";
		gap: 1vw;
		margin-top: 2rem;
	}
	
	.ArticleOne p, .ArticleTwo p, .ArticleThree p{
		max-width: 90vw;
	}
	
	.ArticleOne {
		margin-left: auto;
		margin-right: auto;
	}
	
	.ArticleTwo {
		margin-left: auto;
		margin-right: auto;
	}
	
	.ArticleThree {
		margin-left: auto;
		margin-right: auto;
	}
	
	.TwoImgSection {
		max-height: 10vh;
		overflow: clip;
	}
	
	.TwoImgSection img {
		max-width: 720px;
		max-height: 20vh;
		object-fit: cover;
		object-position: center center;
	}
}